package db.controller;

import db.service.StatisticService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
@RequestMapping("/manage")
public class StatisticController {

    @Autowired
    private StatisticService statisticService;

    @RequestMapping("/statistic")
    public String statistic() {
        log.info("收到statistic请求");
        return statisticService.getStatistic().toString()+"\n";
    }
    @RequestMapping("/logShowStatistic")
    public String logShowStatistic(@RequestParam String mode) {
        log.info("收到logShowStatistic请求");
        if("enable".equals(mode)) {
            statisticService.setShowStatisticAfterInsertData(true);
        }
        else {
            statisticService.setShowStatisticAfterInsertData(false);
        }
        return "成功";
    }
}
